Subject: mingw-runtime (mingw-20010917)
From: "Roger Wells" <[email-masked]>
To: <[email-masked]>
Date: Mon, 24 Sep 2001 16:00:05 -0400

Hi,

I just installed the latest mingw-runtime.  Now any trivial c++ program
gives the following error when linking:

$ gcc -mno-cygwin -I/usr/local/mingw/include -I/usr/include/g++-3
hello.cpp -L/usr/local/mingw/lib  -lstdc++
   gives:
/usr/local/mingw/lib/libstdc++.a(floatconv.o)(.text+0x1244): undefined
reference  to `_imp___HUGE_dll'

whereas:

$ gcc hello.cpp -lstdc++                        i.e. no -mno-cygwin

works as expected.

hello.cpp follows:

#include <iostream>

int main () {
    cout << "Hello World..." << endl;
    return 0;
}

Any advice will be appreciated.

Roger Wells, P.E.
SAIC
221 Third St
Newport, RI 02840
401-847-4210 (voice)
401-849-1585 (fax)
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/